package com.dkha.server.controllers;

import com.alibaba.fastjson.JSONObject;
import com.dkha.common.exception.DkException;
import com.dkha.common.fileupload.MinioUtil;
import com.dkha.common.page.PageParam;
import com.dkha.common.result.CommonResult;
import com.dkha.common.util.ExcelUtils;
import com.dkha.common.util.UtilValidate;
import com.dkha.server.annotation.NoRepeatSubmitAnnotation;
import com.dkha.server.modules.entities.FaceCameraEntity;
import com.dkha.server.modules.entities.faceCamera.FaceCameraExcel;
import com.dkha.server.modules.entities.faceCamera.FaceCameraInfo;
import com.dkha.server.modules.entities.faceCamera.InsertFaceCamera;
import com.dkha.server.services.FaceCameraService;
import com.dkha.server.system.modules.sys.entity.SysRegionEntity;
import com.dkha.server.system.modules.sys.enums.RegionLevelEnum;
import com.dkha.server.system.modules.sys.service.SysRegionService;
import com.dkha.server.util.RequestUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import sun.misc.BASE64Decoder;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.*;

import static com.dkha.common.systemcode.SystemCode.EXCEL_ERROR_DATA;


@RestController
@RequestMapping("faces")
@Slf4j
public class FaceController extends CommonResult {
    @Resource
    private MinioUtil minioUtil;

    private  Map<String,FaceResEntity> faceRes = new HashMap<>();

    private List<FaceResEntity> list = new ArrayList<>();
    public  FaceController(){
        FaceResEntity  resEntity = new FaceResEntity();
        resEntity.setName("jhx");
        resEntity.setRphoto("http://192.168.60.52:9000/school/face/jhx.jpg");
        faceRes.put("eYJST7eY2mbnjGZvywPfxg==",resEntity);
    }

    @RequestMapping("callback")
    public String callback(HttpServletRequest request) throws IOException {
        try {
        String streamText = RequestUtil.getStreamText(request);
        System.out.println(streamText);
        JSONObject object = JSONObject.parseObject(streamText);
        String str = object.get("photo").toString();
        String xsd =  object.get("confidence").toString();
        byte[] _byte =  new BASE64Decoder().decodeBuffer(str);
        InputStream inputStream = new ByteArrayInputStream(_byte);

        String  object1 =   "http://192.168.60.52:9000/test/"+minioUtil.uploadImage(inputStream,"").getString("path");
        System.out.println(object1);
            if( faceRes.get(object.getString("ImageID"))!=null){
                FaceResEntity resEntity =  faceRes.get(object.getString("ImageID"));
                resEntity.setCphoto(object1);
                resEntity.setXsd(xsd.substring(0,5));
                list.add(resEntity);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "ok";
    }

    @GetMapping("list")
    public List<FaceResEntity> getList(){
        return list;
    }

/*    @GetMapping("one")
    public List<String getOne(){
        if(list.isEmpty()){
            return  "";
        }
        return list.get(list.size()-1).getCphoto();
    }*/






    @Data
    public class FaceResEntity
    {
        private String cphoto;
        private String rphoto;
        private String name;
        private String xsd;
    }

}
