package com.dkha.server.modules.entities;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人像表
 * </p>
 *
 * @author Spring
 * @since 2019-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Portrait对象", description="人像表")
public class Portrait implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "人像id")
    @TableId(value = "id_portrait")
    private Long idPortrait;

    @ApiModelProperty(value = "库id")
    private Long idFactory;

    @ApiModelProperty(value = "图片url")
    private String url;

    @ApiModelProperty(value = "背景图url")
    private String backgroundUrl;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "出生日期")

    private java.sql.Date birthDate;

    @TableField(exist = false)
    @ApiModelProperty(value = "年龄")
    private Integer age;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "人脸坐标位置")
    private String faceRect;

    @ApiModelProperty(value = "人脸入库id")
    @TableField("faceIds")
    private String faceIds;

    @ApiModelProperty(value = "人脸特征id")
    @TableField("featId")
    private String featId;

    @ApiModelProperty(value = "是否有效 Y有效 N无效")
    private String isValid;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;


}
