package com.dkha.server.modules.entities.faceCamera;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 摄像头表
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2019-12-08
 */
@Data
@ApiModel(value = "摄像头列表")
public class FaceCameraList implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "idFaceCamera")
    private Long idFaceCamera;

    @ApiModelProperty(value = "摄像头名称")
    private String cameraName;

    @ApiModelProperty(value = "摄像头区域-码值")
    private String cameraRegionFirstlevel;
    @ApiModelProperty(value = "摄像头层级区域冗余字段")
    private String cameraRegionFirstlevelBackUp;

    @ApiModelProperty(value = "摄像头详细地址")
    private String cameraAddress;

    @ApiModelProperty(value = "摄像头经度")
    private String cameraLongitude;

    @ApiModelProperty(value = "摄像头纬度")
    private String cameraLatitude;

    @ApiModelProperty(value = "位置类型-码值")
    private String cameratLocationtypeId;
    @ApiModelProperty(value = "位置类型冗余字段")

    private String cameratLocationtypeIdBackUp;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
//
//	@ApiModelProperty(value = "公安机关代码")
//	private String publicSecurityCode;
//
//	@ApiModelProperty(value = "公安机关名称")
//	private String publicSecurityName;
//
//	@ApiModelProperty(value = "建设单位")
//	private String constructionUnit;
//
//	@ApiModelProperty(value = "管理单位")
//	private String managementUnit;
//
//	@ApiModelProperty(value = "管理人员")
//	private String managementPersonnel;
//
//	@ApiModelProperty(value = "联系电话")
//	private String contactNumber;
//
//	@ApiModelProperty(value = "IP")
//	private String ip;
//
//	@ApiModelProperty(value = "用户名")
//	private String userName;
//
//	@ApiModelProperty(value = "密码")
//	private String passwd;
//
//	@ApiModelProperty(value = "品牌")
//	private String brand;
//
//	@ApiModelProperty(value = "rtsp地址")
//	private String rtspUrl;
//
//	@ApiModelProperty(value = "备注信息")
//	private String remarks;

    @ApiModelProperty(value = "是否运行 Y启动 N未启动")
    private String status;


}