package com.dkha.server.services;

import com.dkha.common.modules.vo.camera.CameraInfoVO;
import com.dkha.server.modules.entities.ControlBayonetMid;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dkha.server.modules.entities.FaceCameraEntity;

import java.util.List;

/**
 * <p>
 * 布控和摄像头中间表 服务类
 * </p>
 *
 * @author Spring
 * @since 2019-12-09
 */
public interface IControlBayonetMidService extends IService<ControlBayonetMid> {
    /**
     * 根据任务ID删除任务和摄像头的中间表
     */
    Integer deletetaskandcarmerbytaskid(String taskID);

    /**
     * 根据摄像头ID判断是否存在任务
     */
    long selectexistByCarmeID(String idcamera);

    /**
     * 更新中间库摄像头状态
     */
    Integer updateCarmerValidaStateByTaskID(String taskID, String State, String UpdateBy);

    /**
     * 根据任务ID获取摄像头列表
     */
    List<FaceCameraEntity> selectFaceCameraBytaskID(String taskid);

    /**
     * 获取摄像头信息
     * @return
     */
    List<FaceCameraEntity> selectFaceCameraBytask();
    /**
     * 获取最新布控的一个摄像头
     */
    ControlBayonetMid selectFaceCameraByTime();

    /**
     * 根据区域获取布控任务
     *
     * @param regionId
     * @return
     */
    int getControlByRegion(long regionId);

    List<CameraInfoVO> selectFaceCameraBytaskInfo();

}
