package com.dkha.server.services;

import com.dkha.common.modules.vo.cut.CutVo;
import com.dkha.common.modules.vo.upload.ImageUploadResult;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @Author Spring
 * @Since 2019/12/11 15:40
 * @Description 文件上传相关
 */
public interface IFileService {

    /**
     * 多图/单图上传,其中一张图可以多人脸/单人脸
     * @param multipartFiles
     * @return
     */
    ImageUploadResult uploadMultiFaceImages(MultipartFile[] multipartFiles) throws Exception;

    /**
     * 单图上传,其中一张图只能有一张人脸
     * @param multipartFiles
     * @return
     */
    ImageUploadResult uploadSingleFaceImage(MultipartFile[] multipartFiles) throws Exception;

    /**
     * 裁剪图片
     * @param cutVo
     * @return
     */
    String cutPicture(CutVo cutVo) throws Exception;
}
