package com.dkha.task.service.impl;



import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dkha.common.exception.DkException;
import com.dkha.task.modual.entity.FaceTrackEntity;
import com.dkha.task.modual.mapper.FaceTrackMapper;
import com.dkha.task.modual.vo.FaceTrackVO;
import com.dkha.task.service.FaceTrackService;


import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2020-01-10
 */
@Service
public class FaceTrackServiceImpl extends ServiceImpl<FaceTrackMapper, FaceTrackEntity> implements FaceTrackService {

    @Resource
    private FaceTrackMapper faceTrackMapper;
    @Override
    public int addFaceTrackEntity(FaceTrackEntity faceTrackEntity) {
        int count;
        try{
            count = faceTrackMapper.insert(faceTrackEntity);
    }catch (Exception e){
        throw new DkException("新增失败");
    }
        return count;
    }

    /**
     *根据摄像头和分组时间查询
     * @param idFaceCamera
     * @param packetTime
     * @return
     */
    @Override
    public List<FaceTrackEntity> querByidCameraAndTime(Long idFaceCamera, String packetTime) {
        return faceTrackMapper.querByidCameraAndTime(idFaceCamera,packetTime);
    }

    /**
     *根据摄像头Id和开始，结束时间，人脸ID
     * @param faceTrackVO
     * @return
     */
    @Override
    public List<FaceTrackEntity> queryByidCamerAndFaceId(FaceTrackVO faceTrackVO) {
        return faceTrackMapper.queryByidCamerAndFaceId(faceTrackVO);
    }

    /**
     *根据图片路径和开始，结束时间
     * @param faceTrackVO
     * @return
     */
    @Override
    public List<FaceTrackEntity> queryByurlAndTime(FaceTrackVO faceTrackVO) {
        return faceTrackMapper.queryByurlAndTime(faceTrackVO);
    }
}